#!/bin/sh

#/******************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = runRecon.sh
# *
# * (C) COPYRIGHT IBM Corp. 2006 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/

# Export child proccess vars w/o forking...
. ./setEnv.sh

OPTS="-ms256m -mx512m"
export OPTS

$JAVA_HOME/bin/java $OPTS $SYSTEM_PROPERTIES -cp $CP -Djava.security.auth.login.config=$LOGIN_CONFIG -Dapps.context.factory=$PLATFORM_CONTEXT_FACTORY -Dapps.server.url=$APP_SRV_URL -Dapps.ejb.user=$EJB_USER -Dapps.ejb.pswd=$EJB_PSWD -D"itim.user=$ITIM_USER" -Ditim.pswd=$ITIM_PSWD -D"tenant.id=$TENANT_ID" -Dldapserver.root=$LDAPSERVER_ROOT examples.api.recon.RunRecon "$@"
