CREATE VIEW enrole.ROOTPROCESSVIEW (ID, TYPE, REQUESTER) AS
(
	(SELECT ID, TYPE, REQUESTER
	FROM enrole.PROCESS
	WHERE  PROCESS.ROOT_PROCESS_ID  = 0
	OR PROCESS.ROOT_PROCESS_ID  = PROCESS.ID
	AND PROCESS.TYPE IN ('OP','AA','AC','UA','UC','UD','US','UR','UO','SR','OA','OC','AD',
						'AS','AR','AP','LO','AO','LS','LR','LP','MS','MR','MD','DA','DC',
						'DD','PA','PC','PD','SA','SC','SD','PS','EN','RC','PE','LC','CP','EP','LD')
	)
	UNION
	(
		SELECT ID, 'AA', REQUESTER
		FROM enrole.PROCESS
		WHERE  PROCESS.ROOT_PROCESS_ID  = 0
		OR PROCESS.ROOT_PROCESS_ID  = PROCESS.ID
		AND PROCESS.TYPE IN ('OA')
	)
	UNION
	(
		SELECT ID, 'AC', REQUESTER
		FROM enrole.PROCESS
		WHERE  PROCESS.ROOT_PROCESS_ID  = 0
		OR PROCESS.ROOT_PROCESS_ID  = PROCESS.ID
		AND PROCESS.TYPE IN ('OC')
	)
)