@rem/*****************************************************************************
@rem *
@rem * Licensed Materials - Property of IBM
@rem *
@rem * Source File Name = UpgradeAccountStatus.bat
@rem *
@rem * (C) COPYRIGHT IBM Corp. 2006 All Rights Reserved
@rem *
@rem * US Government Users Restricted Rights - Use, duplication or
@rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem *
@rem *****************************************************************************/
@rem This script is used to initialize 'eraccountstatus' attribute of all active accounts
@rem to the default active status value 0.
@rem
@rem set ITIM_HOME to the complete path of your ITIM installation directory.
@rem and set APP_SRV_HOME to point to the complete path of your WebSphere 
@rem Application server.
@rem

@echo off

set ITIM_HOME=c:\itim46

set APP_SRV_HOME=F:\Program Files\IBM\WebSphere\AppServer

set JAVA_HOME=%APP_SRV_HOME%\java

set CLASSPATH=.;%JAVA_HOME%\jre\lib\rt.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\jlog.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\aspectjrt.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\data
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_api.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_server.jar

set OPTS=-ms256m -mx512m


"%JAVA_HOME%/bin/java" %OPTS% UpgradeAccountStatus

@endlocal
